%define anolis_release 3

Name:		satyr
Version:	0.39
Release:	%{anolis_release}%{?dist}
Summary:	Automatic problem management with anonymous reports

License:	GPLv2+
URL:		https://github.com/abrt/satyr
Source0:	https://github.com/abrt/satyr/archive/refs/tags/0.39.tar.gz

BuildRequires:	elfutils-devel
BuildRequires:	elfutils-libelf-devel
BuildRequires: 	binutils-devel
BuildRequires: 	rpm-devel
BuildRequires: 	libtool
BuildRequires: 	doxygen
BuildRequires: 	pkgconfig
BuildRequires: 	make
BuildRequires: 	automake
BuildRequires: 	gcc-c++
BuildRequires: 	gdb
BuildRequires: 	gperf
BuildRequires: 	json-c-devel
BuildRequires: 	glib2-devel
BuildRequires: 	python3-devel
BuildRequires: 	python3-sphinx

Requires: 	json-c
Requires: 	glib2 >= 2.43.4

%description
Satyr is a library that can be used to create and process microreports.
Microreports consist of structured data suitable to be analyzed in a fully
automated manner, though they do not necessarily contain sufficient information
to fix the underlying problem. The reports are designed not to contain any
potentially sensitive data to eliminate the need for review before submission.
Included is a tool that can create microreports and perform some basic
operations on them.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package	 devel
Summary: Development libraries for %{name}
Requires: %{name} = %{version}-%{release}
 
%description 	devel
Development libraries and headers for %{name}.

%package 	-n python3-satyr
%{?python_provide:%python_provide python3-satyr}
Summary: Python 3 bindings for %{name}
Requires: %{name} = %{version}-%{release}

%description 	-n python3-satyr
Python 3 bindings for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--enable-doxygen-docs

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

rm -f %{buildroot}%{_docdir}/%{name}/README.md
%check
make check

%files
%license COPYING
%{_bindir}/satyr
%{_mandir}/man1/%{name}.1*
%{_libdir}/lib*.so.*
	
%files doc
%doc README.md NEWS

%files 		devel
%doc apidoc/html/*.{html,png,css,js}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files 		-n python3-satyr
%dir %{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}/*

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.39-3
- Rebuild with python3.11

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.39-2
- add doc package

* Fri Apr 15 2022 happy_orange <songnannan@linux.alibaba.com> - 0.39-1
- Init package from upstream
